### Method

# Pango LayoutLine index_to_x

#### Declaration [src]

    void
    pango_layout_line_index_to_x (
      PangoLayoutLine* line,
      int index_,
      gboolean trailing,
      int* x_pos
    )

#### Description [src]

Converts an index within a line to a X position.

#### Parameters

`index_`

  Type: `int`

  Byte offset of a grapheme within the layout.

`trailing`

  Type: `gboolean`

  An integer indicating the edge of the grapheme to retrieve the position of. If > 0, the trailing edge of the grapheme, if 0, the leading of the grapheme.

`x_pos`

  Type: `int*`

  Location to store the x_offset (in Pango units).

  The argument will be set by the function.